Package Gnumed :: Package wxpython :: Package patient :: Module gmGP_Prescriptions :: Class gmGP_Prescriptions |
[frames] | no frames]

# Class gmGP_Prescriptions

source code

     gmPlugin_Patient.BasePlugin --+
                                   |
    gmPlugin_Patient.wxPatientPlugin --+
                                       |
                                      gmGP_Prescriptions

Plugin to encapsulate the prescriptions window

Instance Methods
name(self) | source code
MenuInfo(self) Return tuple of (menuname, menuitem). | source code
GetIconData(self, anIconID=None) | source code
GetWidget(self, parent) Return the widget to display. | source code
Inherited from `gmPlugin_Patient.wxPatientPlugin`: `OnTool`, `Raise`, `register`, `unregister` Inherited from `gmPlugin_Patient.BasePlugin`: `GetIcon`, `ReceiveFocus`, `__init__`

Method Details

### name(self) | source code
Overrides: gmPlugin_Patient.BasePlugin.name

### MenuInfo(self) | source code
    Return tuple of (menuname, menuitem).

    menuname can be
            "tools",
            "view",
            "help",
            "file"

    If you return "None" no entry will be placed
    in any menu.
Overrides: gmPlugin_Patient.BasePlugin.MenuInfo (inherited documentation)

### GetIconData(self, anIconID=None) | source code
Overrides: gmPlugin_Patient.BasePlugin.GetIconData

### GetWidget(self, parent) | source code
Return the widget to display. Usually called from register(). The instance returned is the active object for event handling purposes. Overrides: gmPlugin_Patient.BasePlugin.GetWidget (inherited documentation)